#!/usr/bin/env ruby

$: << '.'
$: << File.join(File.dirname(__FILE__), "../lib")
$: << File.join(File.dirname(__FILE__), "../ext")

require "oj"


p = Oj::Parser.new(:saj)

json = %|{
        "array": [
                {
                        "num"   : 3,
                        "string": "message",
                        "hash"  : {
                                "h2"  : {
                                        "a" : [ 1, 2, 3 ]
                                }
                        }
                }
        ],
        "boolean" : true
}|

1_000_000.times do
  e = Oj.load(json)
end
